Subject: Re: CCL:MATRIX ALGEBRA PROGRAM

From: [email-masked] (Frits Daalmans)
Date: Mon, 11 Dec 95 12:38:20 +0100

There are probably umpteen packages that can do that...
what you could do is, grab a numerical library (say, lapack), and
make a couple of wrapper functions (input of a matrix, output to screen/file,
etc.) and make a "toolkit" of programs that use these routines.

That's what I did (including the library itself :-( reinventing the wheel)
but I am NOT sorry, because it is very convenient to be able to work
with matrices just from the UNIX shell (with these tools) instead of writing
programs for each case: i.e.
(imaginary UNIX session)
do some calculations,
obtain some numerical results,
use a tiny self-written tool to extract data from e.g. GAMESS or G94 output,
mat_mult <file with A> <file with B> > C
mat_eigval <C> > Ceigval
look at the eigenvalues,
continue work,...

If you are smart, you don't go this way but compile well-known freeware 
toolkits (I don't know of any though... if there are *really* *none* available 
I'll put mine under GPL and "publish" 'em).

Good luck, 
Frits

Frits Daalmans
OIO Conformational Analysis
Gorlaeus Laboratoria
Leiden, The Netherlands
E-mail: [email-masked]
Tel: [+31] (0)71-5274505